%define anolis_release 19
Name: dotconf
Version: 1.3
Release: %{anolis_release}%{?dist}
Summary: Libraries to parse configuration files
License: LGPLv2
URL: https://github.com/williamh/dotconf/
Source:	%{name}-%{version}.tar.gz
BuildRequires: findutils
BuildRequires: gcc
BuildRequires: glibc-common
BuildRequires: make

%description
Dotconf is a library used to handle configuration files.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Documentations for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

iconv -f iso-8859-2 -t utf-8 -o iconv.tmp AUTHORS
mv iconv.tmp AUTHORS
iconv -f iso-8859-2 -t utf-8 -o iconv.tmp doc/dotconf-features.txt
mv iconv.tmp doc/dotconf-features.txt
rm examples/maketest.sh

# move installed docs to include them in -devel package via %%doc magic
rm -rf __tmp_doc ; mkdir __tmp_doc
mv ${RPM_BUILD_ROOT}%{_docdir}/%{name}/* __tmp_doc

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libdotconf*.so.*
%{abidir}/libdotconf*.dump

%files devel
%doc __tmp_doc/*
%{_libdir}/libdotconf*.so
%{_includedir}/dotconf.h
%{_libdir}/pkgconfig/dotconf.pc

%files doc
%doc README AUTHORS

%changelog
* Wed Oct 18 2023 Funda Wang <fundawang@yeah.net> - 1.3-19
- Import package for anolis
